/*
 * ***** BEGIN LICENSE BLOCK *****
 * This work is licenced under http://creativecommons.org/licenses/by-sa/3.0/ 
 * If you publish it somewhere, please mention the authors website: http://www.maki-car-rental.com/
 * ***** END LICENSE BLOCK *****
 */


function com_maki_exclusivetag_Handler() {
};

com_maki_exclusivetag_Handler.prototype = new ZmZimletBase();
com_maki_exclusivetag_Handler.prototype.constructor = com_maki_exclusivetag_Handler;


com_maki_exclusivetag_Handler.prototype.init =
function() {

};

com_maki_exclusivetag_Handler.prototype.onTagAction = function(items, tag, doTag) {
	if (!doTag) return;
	var appController = appCtxt.getAppController();
	//appController.setStatusMsg("onTagAction " + tag.name + " / "  + tag.id, ZmStatusView.LEVEL_INFO);
	for (var i = 0; i < items.length; i++) {
		for (var j = 0; j < items[i].tags.length; j++) {
			this._removeTag(items[i].id, items[i].tags[j]);
		}
	}
};

com_maki_exclusivetag_Handler.prototype._removeTag =
function(itemId, tagId) {
	//console.log("Removing Tag " + tagId + " from " + itemId);
	var soapDoc = AjxSoapDoc.create("MsgActionRequest", "urn:zimbraMail");
	var actionNode = soapDoc.set("action");
	actionNode.setAttribute("id", itemId);
	actionNode.setAttribute("op", "!tag");
	actionNode.setAttribute("tag", tagId);
	appCtxt.getAppController().sendRequest({soapDoc:soapDoc, asyncMode:true});
};
